// yer skymap
textures/ra3shov1/ra3shov1yersky
{
     qer_editorimage textures/ra3shov1/ra3shov1yersky.tga 
     surfaceparm noimpact
     surfaceparm nolightmap
     surfaceparm sky
     
     q3map_sun .6 .6 .8 75 200 75
     q3map_surfacelight 80

     skyparms env/ra3shov1/ra3shov1yersky - -
     
     
}
    

//sif skymap
textures/ra3shov1/ra3shov1sifsky
{
     qer_editorimage textures/ra3shov1/ra3shov1sifsky.tga 
     surfaceparm noimpact
     surfaceparm nolightmap
     surfaceparm sky
     q3map_sun .9 .90 .80 90 0 55
     q3map_surfacelight 100

     skyparms env/ra3shov1/ra3shov1sifsky - -

}

//jor skymap
textures/ra3shov1/ra3shov1jorsky
{
     qer_editorimage textures/ra3shov1/ra3shov1jorsky.tga 
     surfaceparm noimpact
     surfaceparm nolightmap
     surfaceparm sky
     
     q3map_sun .8 .8 1 75 0 80
     q3map_surfacelight 150

     skyparms env/ra3shov1/ra3shov1jorsky - -

}

// my portal
textures/ra3shov1/shovportal
{
	qer_editorimage textures/common/portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
	{
		map textures/ra3shov1/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting
		tcmod rotate 15
		tcMod scale .5 .5
		tcmod turb .3 .2 .1 .4
	}
}

textures/ra3shov1/hubsky
{
	surfaceparm noimpact
	surfaceparm nolightmap
//	surfaceparm sky
        q3map_lightimage textures/common/white.tga
	qer_editorimage textures/ra3shov1/hubsky.tga
	q3map_sun	1 .8 .8 100 180 90
	q3map_surfacelight 120

        skyparms env/space1 - -
       {
		map textures/skies/killsky_2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.08 0.09
		tcMod scale 3 2
	}
}

// y3r door sign
textures/ra3shov1/arena_sign1
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/ra3shov1/arena_sign1b.tga
	
	{
		map textures/ra3shov1/arena_sign1.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/ra3shov1/arena_sign1.tga textures/ra3shov1/arena_sign1b.tga textures/ra3shov1/arena_sign1b.tga textures/ra3shov1/arena_sign1.tga textures/ra3shov1/arena_sign1.tga textures/ra3shov1/arena_sign1c.tga textures/ra3shov1/arena_sign1c.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
		
}

// s1f door sign
textures/ra3shov1/arena_sign2
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/ra3shov1/arena_sign2b.tga
	
	{
		map textures/ra3shov1/arena_sign2.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/ra3shov1/arena_sign2.tga textures/ra3shov1/arena_sign2b.tga textures/ra3shov1/arena_sign2b.tga textures/ra3shov1/arena_sign2.tga textures/ra3shov1/arena_sign2.tga textures/ra3shov1/arena_sign2c.tga textures/ra3shov1/arena_sign2c.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
		
}

// j0r door sign
textures/ra3shov1/arena_sign3
{

	surfaceparm nodamage
	q3map_surfacelight 200
	qer_editorimage textures/ra3shov1/arena_sign3b.tga
	
	{
		map textures/ra3shov1/arena_sign3.tga
		rgbGen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
	
	{
		animMap 2 textures/ra3shov1/arena_sign3.tga textures/ra3shov1/arena_sign3b.tga textures/ra3shov1/arena_sign3b.tga textures/ra3shov1/arena_sign3.tga textures/ra3shov1/arena_sign3.tga textures/ra3shov1/arena_sign3c.tga textures/ra3shov1/arena_sign3c.tga  
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 2
	}
		
}

models/mapobjects/tree2/branch2
{
	
        surfaceparm nolightmap
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        sort 10

        //nopicmip

	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        
	}
}

textures/ra3shov1/ra3_logo
{
    surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ra3shov1/ra3_logo.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ra3shov1/ra3shov1_blueflag
{
        qer_editorimage textures/ra3/ra3_blueflag.tga
        tessSize 32
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .2 .1
        surfaceparm nomarks
        //surfaceparm nolightmap
        cull none
        
	{
		map textures/ra3/ra3_blueflag.tga
		rgbGen identity
	}

	{
		map textures/ra3/ra3_blueflag.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}


textures/ra3shov1/ra3shov1_redflag
{
        qer_editorimage textures/ra3/ra3_redflag.tga
        tessSize 32
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .2 .1
        surfaceparm nomarks
        //surfaceparm nolightmap        
        cull none

	{
		map textures/ra3/ra3_redflag.tga
		rgbGen identity
	}

	{
		map textures/ra3/ra3_redflag.tga
	                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}

textures/ra3shov1/ra3shov1_silverflag
{
        qer_editorimage textures/ra3/ra3_silverflag.tga
        tessSize 32
        deformVertexes wave 194 sin 0 3 0 .4
        deformVertexes normal .2 .1
        surfaceparm nomarks
        //surfaceparm nolightmap 
        cull none
        
	{
		map textures/ra3/ra3_silverflag.tga
		rgbGen identity
	}

	{
		map textures/ra3/ra3_silverflag.tga
                	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}

	{
        		map textures/sfx/shadow.tga
	                tcGen environment 
                	//blendFunc GL_ONE GL_ONE            
	                blendFunc GL_DST_COLOR GL_ZERO
               		rgbGen identity
	}
}